Сайт | Скачать | Видео | Wiki

Автор Тема: pra03. Проблемка с Geany IDE  (Прочитано 232 раз)

0 Пользователей и 1 Гость просматривают эту тему.

Оффлайн Schnitzel

  • Новичок
  • *
  • Сообщений: 9
  • Репутация: +0/-0
pra03. Проблемка с Geany IDE
« : 04 Ноябрь 2018, 17:33:34 »
Добрый вечер. Установил Geany IDE и сталкнулся с проблемой. При запуске кода в программе терминал выдает ошибку (скрин прилагаю). Подскажите как победить проблему использую pra03-1808retro
« Последнее редактирование: 06 Ноябрь 2018, 09:25:41 от sfs »

Оффлайн k0l0p0k

  • Ветеран
  • *****
  • Сообщений: 718
  • Репутация: +11/-0
Re: Проблемка с Geany IDE
« Ответ #1 : 04 Ноябрь 2018, 17:40:26 »
скомпилировать хотите?
установите компилятор, настройте geany чтоб компилятор видела
geany ваш "код" как шелл-скрипт интерпретирует, отсюда ошибки
1.нетбук  Samsung N145 (оси: ubuntu+OLS, PRA)
2.стационары(пеньки,2-8Gb,Radeon RX460, ubuntu+openBox+LXPanel, PRA)

Оффлайн Schnitzel

  • Новичок
  • *
  • Сообщений: 9
  • Репутация: +0/-0
Re: Проблемка с Geany IDE
« Ответ #2 : 04 Ноябрь 2018, 17:44:56 »
скомпилировать хотите?
установите компилятор, настройте geany чтоб компилятор видела
geany ваш "код" как шелл-скрипт интерпретирует, отсюда ошибки
я жутко извиняюсь за глупость) но можно расжевать как это все сделать?

Оффлайн krasnyh

  • Ветеран
  • *****
  • Сообщений: 827
  • Репутация: +39/-0
Re: Проблемка с Geany IDE
« Ответ #3 : 04 Ноябрь 2018, 17:51:54 »
При запуске кода в программе терминал выдает ошибку (скрин прилагаю)
Скрин не прикреплен, если было конечно желание его показать.

UPD. Это у меня uBlock порезал картинку.
« Последнее редактирование: 04 Ноябрь 2018, 19:29:05 от krasnyh »

Оффлайн k0l0p0k

  • Ветеран
  • *****
  • Сообщений: 718
  • Репутация: +11/-0
Re: Проблемка с Geany IDE
« Ответ #4 : 04 Ноябрь 2018, 17:59:17 »
я жутко извиняюсь за глупость) но можно расжевать как это все сделать?
тоже извиняюсь, давно геанну в качестве IDE не использовал
как редактор - норм, IDE - так себе
гугл знает намного больше меня, спросите, не стесняйтесь
- - - - -
но шелл-скрипты она умеет выполнять, только права на выполнение надо дать
пс
и компилятору файлик умеет передавать, но как настроить? не могу вспомнить, хоть тресни (
вспомнил: меню - сборка - установить команды сборки
- - --
пспс
из wiki:
Необходимые для компиляции (AUR, ABS ) пакеты (gcc, make и т.п.) и части пакетов (/include и пр.) из базовых модулей выделены в отдельный модуль DEVX. Т.е. так же как в Puppy Linux.
Загрузить : sfs-get DEVX

« Последнее редактирование: 04 Ноябрь 2018, 18:17:56 от k0l0p0k »
1.нетбук  Samsung N145 (оси: ubuntu+OLS, PRA)
2.стационары(пеньки,2-8Gb,Radeon RX460, ubuntu+openBox+LXPanel, PRA)

Оффлайн krasnyh

  • Ветеран
  • *****
  • Сообщений: 827
  • Репутация: +39/-0

Оффлайн RoDoN

  • Активный участник
  • Ветеран
  • ****
  • Сообщений: 5543
  • Репутация: +122/-0
    • RoDoN
Re: Проблемка с Geany IDE
« Ответ #6 : 04 Ноябрь 2018, 23:20:12 »
А файл /usr/X11R7/bin/xterm разве есть в PRA?

Acer Aspire One AO751h (Atom Z520, Intel GMA500)
Acer Extensa 5620Z (T7500, Intel 965GM)
PuppyRus-JWM-13.12, PRA, Upup Precise, Tahr Puppy, Runtu 14.04 XFCE.

Оффлайн k0l0p0k

  • Ветеран
  • *****
  • Сообщений: 718
  • Репутация: +11/-0
Re: Проблемка с Geany IDE
« Ответ #7 : 05 Ноябрь 2018, 08:11:57 »
А файл /usr/X11R7/bin/xterm разве есть в PRA?
она видимо по дефолту(по своему дефолту) его ищет
« Последнее редактирование: 05 Ноябрь 2018, 08:13:57 от k0l0p0k »
1.нетбук  Samsung N145 (оси: ubuntu+OLS, PRA)
2.стационары(пеньки,2-8Gb,Radeon RX460, ubuntu+openBox+LXPanel, PRA)

Оффлайн RoDoN

  • Активный участник
  • Ветеран
  • ****
  • Сообщений: 5543
  • Репутация: +122/-0
    • RoDoN
Re: Проблемка с Geany IDE
« Ответ #8 : 05 Ноябрь 2018, 10:27:56 »
Ну, да, чтобы убрать эту ошибку надо в настройках вместо /usr/X11R7/bin/xterm прописать /usr/local/bin/xterm

Acer Aspire One AO751h (Atom Z520, Intel GMA500)
Acer Extensa 5620Z (T7500, Intel 965GM)
PuppyRus-JWM-13.12, PRA, Upup Precise, Tahr Puppy, Runtu 14.04 XFCE.

Оффлайн Pro

  • Активный участник
  • Ветеран
  • ****
  • Сообщений: 10014
  • Репутация: +103/-0
Re: Проблемка с Geany IDE
« Ответ #9 : 05 Ноябрь 2018, 11:15:35 »
Ну, да, чтобы убрать эту ошибку надо в настройках вместо /usr/X11R7/bin/xterm прописать /usr/local/bin/xterm
Может лучше /usr/local/bin/defaultterminal
Я загружаю новые пакеты сюда: http://file.puppyrus.org/users/ а дальше можно найти самостоятельно.

Оффлайн Schnitzel

  • Новичок
  • *
  • Сообщений: 9
  • Репутация: +0/-0
Re: Проблемка с Geany IDE
« Ответ #10 : 05 Ноябрь 2018, 13:34:41 »
Спасибо ребята)))) все стало работать. Очень помогли, теперь могу начинать изучения python))))